$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'rspec'
require 'rubygems'
require 'active_record'
require 'rspec/rails/extensions'
require 'rspec/rails/matchers'
require 'rspec/rails/adapters'
require 'rspec/rails/fixture_support'
require 'normalize_it'

# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each {|f| require f}

RSpec.configure do |config|
  config.use_transactional_examples = true  
end

ActiveRecord::Base.configurations={'test' => {:adapter => "sqlite3", :database => ":memory:"} }
ActiveRecord::Base.establish_connection('test')
load(File.dirname(__FILE__) + "/schema.rb")

class CustomerStatus < ActiveRecord::Base
  normalizes :customers, :with_field => :customer_status
  validates :customer_status, :presence => true
  validates_uniqueness_of :customer_status
end

class EmailAddress < ActiveRecord::Base
  normalizes :customers, :allow_inserts => true
  validates :email_address, :presence => true
  validates_uniqueness_of :email_address
end

class Customer < ActiveRecord::Base
  has_normalized :customer_status
  has_normalized :email_address, :allow_inserts => true
end

ActiveRecord::Base.connection.execute("INSERT INTO customer_statuses (customer_status) VALUES ('new')")
